Bug 198046 - Inconsistent lock state upon first Sun java instantiation
Inconsistent lock state upon first Sun java instantiation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-08 10:43 EDT by Jay Cliburn
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 00:07:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Cliburn 2006-07-08 10:43:30 EDT
Description of problem:
Installed Firefox from mozilla.org in my home directory on an FC6T1 x86_64
system, and installed Sun Java jre-1_5_0_07-linux-i586.bin at /opt/java, then
linked the libjavaplugin_oji.so to enable Java web content within Firefox.  When
starting java_vm or java following a reboot, dmesg reports a kernel inconsistent
lock state problem.  Subsequent instantiations of java apparently do not cause
the error; only the first instantiation following a reboot.  Also, java and
java_vm appear to work fine despite the appearance of the kernel lock issue.

Version-Release number of selected component (if applicable):
[root@osprey ~]# uname -a
Linux osprey.hogchain.net 2.6.17-1.2358.fc6 #1 SMP Fri Jul 7 04:02:36 EDT 2006
x86_64 x86_64 x86_64 GNU/Linux

Sun Java jre1.5.0_07

Hardware - Abit AV8 K8T800 Pro, AMD Athlon64 3000+

How reproducible:
Error occurs every time on first java or java_vm instantiation following a
system boot.

Steps to Reproduce:
1.  Boot 2.6.17-1.2358.fc6.
2.  Run /opt/java/jre1.5.0_07/bin/ControlPanel.
         -OR-
    Start firefox and visit a web page with java content that starts java_vm.
3.  Observe lock state error in /var/log/messages.
  
Actual results:
Jul  8 09:17:32 osprey kernel:
Jul  8 09:17:32 osprey kernel: =================================
Jul  8 09:17:32 osprey kernel: [ INFO: inconsistent lock state ]
Jul  8 09:17:32 osprey kernel: ---------------------------------
Jul  8 09:17:32 osprey kernel: inconsistent {softirq-on-W} -> {in-softirq-R} usage.
Jul  8 09:17:32 osprey kernel: java/2423 [HC0[0]:SC1[1]:HE1:SE0] takes:
Jul  8 09:17:32 osprey kernel:  (&sk->sk_dst_lock){---?}, at:
[<ffffffff80421136>] sk_dst_check+0x26/0x12b
Jul  8 09:17:32 osprey kernel: {softirq-on-W} state was registered at:
Jul  8 09:17:32 osprey kernel:   [<ffffffff802ab6bd>] lock_acquire+0x4a/0x69
Jul  8 09:17:32 osprey kernel:   [<ffffffff8026a9d9>] _write_lock+0x24/0x31
Jul  8 09:17:32 osprey kernel:   [<ffffffff88431277>]
ip6_datagram_connect+0x409/0x535 [ipv6]
Jul  8 09:17:32 osprey kernel:   [<ffffffff80459a83>] inet_dgram_connect+0x57/0x65
Jul  8 09:17:32 osprey kernel:   [<ffffffff8041e656>] sys_connect+0x7d/0xa4
Jul  8 09:17:32 osprey kernel:   [<ffffffff80262d8d>] system_call+0x7d/0x83
Jul  8 09:17:32 osprey kernel: irq event stamp: 166016
Jul  8 09:17:32 osprey kernel: hardirqs last  enabled at (166016):
[<ffffffff8020aa3d>] kmem_cache_alloc+0xd3/0xf6
Jul  8 09:17:32 osprey kernel: hardirqs last disabled at (166015):
[<ffffffff8020a9b5>] kmem_cache_alloc+0x4b/0xf6
Jul  8 09:17:32 osprey kernel: softirqs last  enabled at (166002):
[<ffffffff80232bd6>] dev_queue_xmit+0x22b/0x236
Jul  8 09:17:32 osprey kernel: softirqs last disabled at (166003):
[<ffffffff8026403a>] call_softirq+0x1e/0x28
Jul  8 09:17:32 osprey kernel:
Jul  8 09:17:32 osprey kernel: other info that might help us debug this:
Jul  8 09:17:32 osprey kernel: 2 locks held by java/2423:
Jul  8 09:17:32 osprey kernel:  #0:  (sk_lock-AF_INET6){--..}, at:
[<ffffffff8025ee53>] inet_stream_connect+0x29/0x245
Jul  8 09:17:32 osprey kernel:  #1:  (slock-AF_INET6){-+..}, at:
[<ffffffff8842f3dd>] tcp_v6_rcv+0x30e/0x771 [ipv6]
Jul  8 09:17:32 osprey kernel:
Jul  8 09:17:32 osprey kernel: stack backtrace:
Jul  8 09:17:32 osprey kernel:
Jul  8 09:17:32 osprey kernel: Call Trace:
Jul  8 09:17:32 osprey kernel:  [<ffffffff802718f8>] show_trace+0xaa/0x23d
Jul  8 09:17:32 osprey kernel:  [<ffffffff80271aa0>] dump_stack+0x15/0x17
Jul  8 09:17:32 osprey kernel:  [<ffffffff802a972d>] print_usage_bug+0x259/0x26a
Jul  8 09:17:32 osprey kernel:  [<ffffffff802a9f32>] mark_lock+0x1d5/0x3e3
Jul  8 09:17:32 osprey kernel:  [<ffffffff802aaaf0>] __lock_acquire+0x427/0xa54
Jul  8 09:17:32 osprey kernel:  [<ffffffff802ab6be>] lock_acquire+0x4b/0x69
Jul  8 09:17:32 osprey kernel:  [<ffffffff8026aaf0>] _read_lock+0x28/0x34
Jul  8 09:17:32 osprey kernel:  [<ffffffff80421136>] sk_dst_check+0x26/0x12b
Jul  8 09:17:32 osprey kernel:  [<ffffffff884109c2>] :ipv6:ip6_dst_lookup+0x3a/0x1a7
Jul  8 09:17:32 osprey kernel:  [<ffffffff8842ce63>]
:ipv6:tcp_v6_send_synack+0x185/0x2ec
Jul  8 09:17:32 osprey kernel:  [<ffffffff8842dc94>]
:ipv6:tcp_v6_conn_request+0x291/0x2f3
Jul  8 09:17:32 osprey kernel:  [<ffffffff80245f93>]
tcp_rcv_state_process+0x5f/0xe77
Jul  8 09:17:32 osprey kernel:  [<ffffffff8842d250>] :ipv6:tcp_v6_do_rcv+0x267/0x371
Jul  8 09:17:32 osprey kernel:  [<ffffffff8842f7ee>] :ipv6:tcp_v6_rcv+0x71f/0x771
Jul  8 09:17:32 osprey kernel:  [<ffffffff884124ff>] :ipv6:ip6_input+0x223/0x315
Jul  8 09:17:32 osprey kernel:  [<ffffffff88412b9e>] :ipv6:ipv6_rcv+0x245/0x2a3
Jul  8 09:17:32 osprey kernel:  [<ffffffff80221b07>] netif_receive_skb+0x261/0x2dd
Jul  8 09:17:32 osprey kernel:  [<ffffffff80233a40>] process_backlog+0xaa/0x183
Jul  8 09:17:32 osprey kernel:  [<ffffffff8020cb62>] net_rx_action+0xb1/0x1ff
Jul  8 09:17:32 osprey kernel:  [<ffffffff80212a78>] __do_softirq+0x68/0xf5
Jul  8 09:17:32 osprey kernel:  [<ffffffff8026403a>] call_softirq+0x1e/0x28

Expected results:
No inconsistent lock state.

Additional info:
Comment 1 Dave Jones 2006-07-12 00:07:12 EDT
should be fixed in tomorrows rawhide push (kernel-2.6.17-1.2375.fc6 or higher).

Note You need to log in before you can comment on or make changes to this bug.